# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

apiVersion: v1
entries:
  solr:
  - annotations:
      artifacthub.io/alternativeName: solrcloud
      artifacthub.io/category: database
      artifacthub.io/changes: ""
      artifacthub.io/containsSecurityUpdates: "false"
      artifacthub.io/images: |
        - name: solr
          image: solr:8.11
          whitelisted: true
      artifacthub.io/links: |
        - name: "Solr Source"
          url: https://github.com/apache/solr
        - name: "Helm Chart Source"
          url: https://github.com/apache/solr-operator
        - name: "Solr Documentation"
          url: https://solr.apache.org/guide/
        - name: "Solr on Kube Tutorials"
          url: https://solr.apache.org/operator/resources#tutorials
      artifacthub.io/operator: "false"
      artifacthub.io/prerelease: "false"
      artifacthub.io/recommendations: |
        - url: https://artifacthub.io/packages/helm/apache-solr/solr-operator
      artifacthub.io/signKey: |
        fingerprint: E05FDF113D89E7FB4A2DF4B2684D544160392455
        url: https://dist.apache.org/repos/dist/release/solr/KEYS
    apiVersion: v2
    appVersion: 8.11.1
    created: "2024-04-08T12:36:26.574693-04:00"
    description: A SolrCloud cluster running on Kubernetes via the Solr Operator
    digest: 79000f24d3c13bb54019c200229d3b3f685485ba45b0c800134e0c3c2bde5648
    home: https://solr.apache.org
    icon: https://solr.apache.org/theme/images/identity/Solr_Logo_on_white.png
    keywords:
    - solr
    - apache
    - search
    - lucene
    kubeVersion: '>= 1.22.0-0'
    maintainers:
    - email: dev@solr.apache.org
      name: Solr Dev Community
    - email: houston@apache.org
      name: Houston Putman
    name: solr
    sources:
    - https://github.com/apache/solr
    - https://github.com/apache/solr-operator
    urls:
    - solr-0.8.1.tgz
    version: 0.8.1
  solr-operator:
  - annotations:
      artifacthub.io/category: database
      artifacthub.io/changes: "- kind: security\n  description: Command-based Solr
        probes no longer echoes 'JAVA_TOOL_OPTIONS' values in Kubernetes events.\n
        \ links:\n    - name: JIRA Issue\n      url: https://issues.apache.org/jira/browse/SOLR-17216\n
        \   - name: Github PR\n      url: https://github.com/apache/solr-operator/pull/698\n-
        kind: changed\n  description: SolrClouds now support auto-readOnlyRootFilesystem
        setting.\n  links:\n    - name: Github Issue\n      url: https://github.com/apache/solr-operator/issues/624\n
        \   - name: Github PR\n      url: https://github.com/apache/solr-operator/pull/648\n
        \ description: Avoid reset of security.json if get request fails  \n  links:\n
        \   - name: Github Issue\n      url: https://github.com/apache/solr-operator/issues/659\n
        \   - name: Github PR\n      url: https://github.com/apache/solr-operator/pull/660\n-
        kind: fixed\n  description: SolrCloud scaling is now safe when using persistent
        storage with a 'Delete' reclaim policy\n  links:\n    - name: Github Issue\n
        \     url: https://github.com/apache/solr-operator/issues/688\n    - name:
        Github PR\n      url: https://github.com/apache/solr-operator/pull/689\n-
        kind: fixed\n  description: SolrPrometheusExporter no longer fails liveness
        probes when the SolrCloud is too large\n  links:\n    - name: Github Issue\n
        \     url: https://github.com/apache/solr-operator/issues/693\n    - name:
        Github PR\n      url: https://github.com/apache/solr-operator/pull/694\n-
        kind: fixed\n  description: SolrClouds addressed via an Ingress now scale
        up and down safely.\n  links:\n    - name: Github Issue\n      url: https://github.com/apache/solr-operator/issues/682\n
        \   - name: Github PR\n      url: https://github.com/apache/solr-operator/pull/692\n"
      artifacthub.io/containsSecurityUpdates: "false"
      artifacthub.io/crds: |
        - kind: SolrCloud
          version: v1beta1
          name: solrcloud.solr.apache.org
          displayName: Solr Cloud
          description: A distributed Solr Cloud cluster
        - kind: SolrPrometheusExporter
          version: v1beta1
          name: solrprometheusexporter.solr.apache.org
          displayName: Solr Prometheus Exporter
          description: A Prometheus metrics exporter for Solr
        - kind: SolrBackup
          version: v1beta1
          name: solrbackup.solr.apache.org
          displayName: Solr Backup
          description: A backup mechanism for Solr
      artifacthub.io/crdsExamples: |
        - apiVersion: solr.apache.org/v1beta1
          kind: SolrCloud
          metadata:
            name: example
          spec:
            dataStorage:
              persistent:
                reclaimPolicy: Delete
                pvcTemplate:
                  spec:
                    resources:
                      requests:
                        storage: "20Gi"
            replicas: 3
            solrImage:
              tag: 8.11
            solrJavaMem: "-Xms4g -Xmx4g"
            customSolrKubeOptions:
              podOptions:
                resources:
                  requests:
                    memory: "6G"
            zookeeperRef:
              provided:
                replicas: 3
            solrOpts: "-Dsolr.autoSoftCommit.maxTime=10000"
            solrGCTune: "-XX:SurvivorRatio=4 -XX:TargetSurvivorRatio=90 -XX:MaxTenuringThreshold=8"
            backupRepositories:
              - name: default-gcs
                gcs:
                  bucket: solr-gcs-backups
                  gcsCredentialSecret: # Required unless deployed in GKE and using its "Workplace Identity" feature
                    name: gcs-credentials
                    key: "service-account-key.json"
                  baseLocation: "/solrcloud/backups"
              - name: default-s3
                s3:
                  region: us-west-2
                  bucket: solr-s3-backups
                  credentials:
                    accessKeyIdSecret: # Optional
                      name: aws-secrets
                      key: access-key-id
                    secretAccessKeySecret: # Optional
                      name: aws-secrets
                      key: secret-access-key
        - apiVersion: solr.apache.org/v1beta1
          kind: SolrPrometheusExporter
          metadata:
            name: example
          spec:
            solrReference:
              cloud:
                name: "example"
            numThreads: 4
            image:
              tag: 8.11
        - apiVersion: solr.apache.org/v1beta1
          kind: SolrBackup
          metadata:
            name: example
          spec:
            repositoryName: solr-gcs-backups
            solrCloud: example
            collections:
              - techproducts
              - books
            location: "/this/location"
      artifacthub.io/images: |
        - name: solr-operator
          image: apache/solr-operator:v0.8.1
      artifacthub.io/links: |
        - name: "Tutorials"
          url: https://solr.apache.org/operator/resources#tutorials
      artifacthub.io/operator: "true"
      artifacthub.io/operatorCapabilities: Full Lifecycle
      artifacthub.io/prerelease: "false"
      artifacthub.io/recommendations: |
        - url: https://artifacthub.io/packages/helm/apache-solr/solr
      artifacthub.io/signKey: |
        fingerprint: E05FDF113D89E7FB4A2DF4B2684D544160392455
        url: https://dist.apache.org/repos/dist/release/solr/KEYS
    apiVersion: v2
    appVersion: v0.8.1
    created: "2024-04-08T12:36:26.58624-04:00"
    dependencies:
    - condition: zookeeper-operator.install
      name: zookeeper-operator
      repository: https://charts.pravega.io
      version: 0.2.15
    description: The Solr Operator enables easy management of Solr resources within
      Kubernetes.
    digest: f90cad8bfaf84138aa6716bf6df9464e0c746cd9baabd483027f3893cc34bb06
    home: https://solr.apache.org/operator
    icon: https://solr.apache.org/theme/images/identity/Solr_Logo_on_white.png
    keywords:
    - solr
    - apache
    - search
    - lucene
    - operator
    kubeVersion: '>= 1.22.0-0'
    maintainers:
    - email: dev@solr.apache.org
      name: Solr Dev Community
    - email: houston@apache.org
      name: Houston Putman
    name: solr-operator
    sources:
    - https://github.com/apache/solr-operator
    urls:
    - solr-operator-0.8.1.tgz
    version: 0.8.1
generated: "2024-04-08T12:36:26.573434-04:00"
